Acknowledge an order
curl --request POST \
--url https://api.brandgate.dev/v1/orders/{id}/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_number": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({external_number: '<string>', note: '<string>'})
};
fetch('https://api.brandgate.dev/v1/orders/{id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.brandgate.dev/v1/orders/{id}/acknowledge"
payload = {
"external_number": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.brandgate.dev/v1/orders/{id}/acknowledge");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"external_number\": \"<string>\",\n \"note\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "order",
"number": "<string>",
"status": "draft",
"order_date": "<string>",
"due_date": "<string>",
"currency": "<string>",
"total": "<string>",
"vat": "<string>",
"total_excl_vat": "<string>",
"discount_amount": "<string>",
"po_reference": "<string>",
"notes": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"ship_to": {},
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"unit_price": "<string>",
"vat_rate": "<string>",
"line_total": "<string>"
}
],
"external_reference": {
"number": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"note": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}orders
Acknowledge an order
Record the order’s number in your ERP. Repeating the same number is safe; a different number for an acknowledged order is refused.
Requires the orders:write scope.
POST
/
v1
/
orders
/
{id}
/
acknowledge
Acknowledge an order
curl --request POST \
--url https://api.brandgate.dev/v1/orders/{id}/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_number": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({external_number: '<string>', note: '<string>'})
};
fetch('https://api.brandgate.dev/v1/orders/{id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.brandgate.dev/v1/orders/{id}/acknowledge"
payload = {
"external_number": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.brandgate.dev/v1/orders/{id}/acknowledge");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"external_number\": \"<string>\",\n \"note\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "order",
"number": "<string>",
"status": "draft",
"order_date": "<string>",
"due_date": "<string>",
"currency": "<string>",
"total": "<string>",
"vat": "<string>",
"total_excl_vat": "<string>",
"discount_amount": "<string>",
"po_reference": "<string>",
"notes": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"ship_to": {},
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"unit_price": "<string>",
"vat_rate": "<string>",
"line_total": "<string>"
}
],
"external_reference": {
"number": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"note": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
apiKeyoauth2
An organization API key (bg_live_…), created in BrandGate under Settings → Developers.
Path Parameters
Body
application/json
Response
Success.
Maximum string length:
100Available options:
draft, pending_payment, processing, shipped, delivered, cancelled Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Maximum string length:
3Pattern:
^-?\d{1,15}(\.\d{1,6})?$Pattern:
^-?\d{1,15}(\.\d{1,6})?$Pattern:
^-?\d{1,15}(\.\d{1,6})?$Pattern:
^-?\d{1,15}(\.\d{1,6})?$Maximum string length:
200Maximum string length:
4000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes